@echo off

rem Copyright (c) 2008-2011 MechSoft Mechanical and Software Solutions
rem
rem This program is free software: you can redistribute it and/or modify
rem it under the terms of the GNU Lesser General Public License as published by
rem the Free Software Foundation, either version 3 of the License, or
rem (at your option) any later version.
rem
rem This program is distributed in the hope that it will be useful,
rem but WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
rem GNU Lesser General Public License for more details.
rem
rem You should have received a copy of the GNU Lesser General Public License
rem along with this program.  If not, see <http://www.gnu.org/licenses/>.

if "%OS%" == "Windows_NT" setlocal
rem ---------------------------------------------------------------------------
rem Start script for the SIWPAS Server
rem ---------------------------------------------------------------------------

rem Guess SIWPAS_HOME if not defined
set "CURRENT_DIR=%cd%"
if not "%SIWPAS_HOME%" == "" goto gotHome
set "SIWPAS_HOME=%CURRENT_DIR%"
if exist "%SIWPAS_HOME%\bin\siwpas.bat" goto okHome
cd ..
set "SIWPAS_HOME=%cd%"
cd "%CURRENT_DIR%"
:gotHome
if exist "%SIWPAS_HOME%\bin\siwpas.bat" goto okHome
echo The SIWPAS_HOME environment variable is not defined correctly
echo This environment variable is needed to run this program
goto end
:okHome

set "EXECUTABLE=%SIWPAS_HOME%\bin\siwpas.bat"

rem Check that target executable exists
if exist "%EXECUTABLE%" goto okExec
echo Cannot find "%EXECUTABLE%"
echo This file is needed to run this program
goto end
:okExec

rem Get remaining unshifted command line arguments and save them in the
set CMD_LINE_ARGS=
:setArgs
if ""%1""=="""" goto doneSetArgs
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto setArgs
:doneSetArgs

call "%EXECUTABLE%" start %CMD_LINE_ARGS%

:end
