@echo off

rem Copyright (c) 2008-2011 MechSoft Mechanical and Software Solutions
rem
rem This program is free software: you can redistribute it and/or modify
rem it under the terms of the GNU Lesser General Public License as published by
rem the Free Software Foundation, either version 3 of the License, or
rem (at your option) any later version.
rem
rem This program is distributed in the hope that it will be useful,
rem but WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
rem GNU Lesser General Public License for more details.
rem
rem You should have received a copy of the GNU Lesser General Public License
rem along with this program.  If not, see <http://www.gnu.org/licenses/>.


if "%OS%" == "Windows_NT" setlocal
rem ---------------------------------------------------------------------------
rem Wrapper script for command line tools
rem
rem Environment Variable Prerequisites
rem
rem   SIWPAS_HOME May point at your Siwpas "build" directory.
rem
rem   TOOL_OPTS     (Optional) Java runtime options used when the "start",
rem                 "stop", or "run" command is executed.
rem
rem   JAVA_HOME     Must point at your Java Development Kit installation.
rem
rem   JAVA_OPTS     (Optional) Java runtime options used when the "start",
rem                 "stop", or "run" command is executed.
rem ---------------------------------------------------------------------------

rem Guess SIWPAS_HOME if not defined
set "CURRENT_DIR=%cd%"
if not "%SIWPAS_HOME%" == "" goto gotHome
set "SIWPAS_HOME=%CURRENT_DIR%"
if exist "%SIWPAS_HOME%\bin\tool-wrapper.bat" goto okHome
cd ..
set "SIWPAS_HOME=%cd%"
cd "%CURRENT_DIR%"
:gotHome
if exist "%SIWPAS_HOME%\bin\tool-wrapper.bat" goto okHome
echo The SIWPAS_HOME environment variable is not defined correctly
echo This environment variable is needed to run this program
goto end
:okHome

rem Ensure that any user defined CLASSPATH variables are not used on startup,
rem but allow them to be specified in setenv.bat, in rare case when it is needed.
set CLASSPATH=

rem Get standard environment variables
if exist "%SIWPAS_HOME%\bin\setenv.bat" call "%SIWPAS_HOME%\bin\setenv.bat"

rem Get standard Java environment variables
if exist "%SIWPAS_HOME%\bin\setclasspath.bat" goto okSetclasspath
echo Cannot find "%SIWPAS_HOME%\bin\setclasspath.bat"
echo This file is needed to run this program
goto end
:okSetclasspath
set "BASEDIR=%SIWPAS_HOME%"
call "%SIWPAS_HOME%\bin\setclasspath.bat" %1
if errorlevel 1 goto end

rem Add on extra jar files to CLASSPATH
rem Note that there are no quotes as we do not want to introduce random
rem quotes into the CLASSPATH
if "%CLASSPATH%" == "" goto emptyClasspath
set "CLASSPATH=%CLASSPATH%;"
:emptyClasspath
set "CLASSPATH=%CLASSPATH%%SIWPAS_HOME%\bin\bootstrap.jar;%SIWPAS_HOME%\bin\tomcat-juli.jar;%SIWPAS_HOME%\lib\servlet-api.jar;%SIWPAS_HOME%\bin\license.jar;%SIWPAS_HOME%\bin\bcastlegpg.jar;%SIWPAS_HOME%\bin\bcastleprov.jar"

set JAVA_OPTS=%JAVA_OPTS% -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager

rem Get remaining unshifted command line arguments and save them in the
set CMD_LINE_ARGS=
:setArgs
if ""%1""=="""" goto doneSetArgs
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto setArgs
:doneSetArgs

%_RUNJAVA% %JAVA_OPTS% %TOOL_OPTS% -Djava.endorsed.dirs="%JAVA_ENDORSED_DIRS%" -classpath "%CLASSPATH%" -Dcatalina.home="%SIWPAS_HOME%" org.apache.catalina.startup.Tool %CMD_LINE_ARGS%

:end
