<%--
 Copyright (c) 2008-2012 MechSoft Mechanical and Software Solutions

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
--%>
<!DOCTYPE html>
<%
java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat("yyyy");
request.setAttribute("year", sdf.format(new java.util.Date()));
request.setAttribute("siwpasUrl", "http://siwpas.mechsoft.com.tr/");
request.setAttribute("tomcat7Url", "http://tomcat.apache.org/");
request.setAttribute("openEjbUrl", "http://openejb.apache.org/");
request.setAttribute("myFacesUrl", "http://myfaces.apache.org/");
request.setAttribute("openJpaUrl", "http://openjpa.apache.org/");
request.setAttribute("openWebBeansUrl", "http://openwebbeans.apache.org/");
request.setAttribute("bValUrl", "http://incubator.bval.apache.org/");
%>
<html lang="en">
    <head>
        <title>OW2 Siwpas 5.0.0 powered by Apache Tomcat</title>
        <link href="favicon.ico" rel="icon" type="image/x-icon" />
        <link href="favicon.ico" rel="shortcut icon" type="image/x-icon" />
        <link href="tomcat.css" rel="stylesheet" type="text/css" />
    </head>

    <body>
        <div id="wrapper">
            <div id="navigation" class="curved container">
                <span id="nav-home"><a href="${siwpasUrl}">Siwpas Web Site</a></span>
                <span id="nav-hosts"><a href="http://forge.ow2.org/forum/?group_id=422">User Form</a></span>
                <span id="nav-wiki"><a href="${siwpasUrl}docs">Docs</a></span>
                <span id="nav-lists"><a href="http://jira.ow2.org/browse/SIW">Bug Tracker</a></span>
                <span id="nav-help"><a href="/manager">Admin Console</a></span>
                <br class="separator" />
            </div>
            
			<div id="asf-box">
                <div id="version">
                    <h2 style="float:left;">OW2 Siwpas<sup>TM</sup> 5.0.0</h2>
					<a style="float:left;margin-left:15px;" href="http://tomcat.apache.org/"><img src="tomcat-power.gif" /></a>					
                </div>
                <div id="upper-asf">
                    <a href="http://ow2.org/"><img src="ow2.png" /></a>
                </div>
                <br class="separator" />
            </div>
			
            <div id="upper" class="curved container">
                <div id="congrats" class="curved container">
                    <h2>If you're seeing this, you've successfully installed OW2 Siwpas. Congratulations!</h2>
                </div>
                
				<div id="notice">
                    <img src="siwpas.png" width="248" height="82" alt="[siwpas logo]" />
                    <div id="tasks">
                        <h3>Getting Started:</h3>
                        <h4><a href="${tomcat7DocUrl}README.txt">Siwpas Getting Started Guide</a></h4>
                    </div>
                </div>
                
				<div id="actions">
                    <div class="button">
                        <a class="container shadow" href="/manager"><span>Admin Console</span></a>
                    </div>
                </div>
                <br class="separator" />
            </div>
            
            <div id="lower">
                <div id="low-manage" class="">
                    <div class="curved container">
                        <h3>Managing Siwpas</h3>
                        <p>For security, access to the <a href="/manager">manager webapp</a> is restricted.
                        Default user name and password combination is "admin, admin". Users are defined in:</p>
                        <pre>$SIWPAS_HOME/conf/siwpas-users.xml</pre>
                    </div>
                </div>
                
				<div id="low-docs" class="">
                    <div class="curved container">
                        <h3>Documentation</h3>
                        <h4><a href="${tomcat7Url}">Apache Tomcat Doc</a></h4>
                        <h4><a href="${openEjbUrl}">Apache OpenEJB Doc</a></h4>
                        <h4><a href="${openJpaUrl}">Apache OpenJPA Doc</a></h4>
                        <h4><a href="${myFacesUrl}">Apache MyFaces Doc</a></h4>
                        <h4><a href="${openWebBeansUrl}">Apache OpenWebBeans Doc</a></h4>						
						<h4><a href="${bValUrl}">Apache Bean Validation Doc</a></h4>												
                        <p>Developers may be interested in:</p>
                        <ul>
							
							<li><a href="http://forge.ow2.org/projects/siwpas">Siwpas OW2 Forge Home</a></li>
							<li><a href="${siwpasUrl}">Siwpas Web</a></li>
                            <li><a href="http://jira.ow2.org/browse/SIW">Siwpas Bug Tracker</a></li>
                            <li><a href="http://forge.ow2.org/plugins/scmsvn/index.php?group_id=422">Siwpas Source</a></li>
							<li><a href="${siwpasUrl}docs">Siwpas Documents</a></li>
                        </ul>
                    </div>
                </div>
               
			   <div id="low-help" class="">
                    <div class="curved container">
                        <h3>Getting Help</h3>
                        <h4><a href="http://forge.ow2.org/forum/?group_id=422">Siwpas Forum</a></h4>
                        <p>You may be interested in:</p>
                        <ul>
                            <li><a href="${siwpasUrl}sales">Siwpas Professional Support</a></li>
                        </ul>
                        
                    </div>
                </div>
                <br class="separator" />
            </div>
            
			<h6 style="color:#666666; text-align: justify; padding: 0px 5px; font-weight: bold; font-style: italic;">
				Siwpas is trademark of the MechSoft Mechanical and Software Solutions. OW2 and OW2 related project names are trademark of The OW2 Consortium. Apache and Apache related project names are trademark of The Apache Software Foundation. Oracle and Java are registered trademarks of Oracle and/or its affiliates. All other marks mentioned may be trademarks or registered trademarks of their respective owners. 	 	
			</h6>	
			
            <p class="copyright" style="text-align:right;">Copyright &copy;2008-${year} <a href="http://www.mechsoft.com.tr">MechSoft Mechanical and Software Solutions</a>.  All Rights Reserved</p>
        </div>
    </body>

</html>
